%define agiros_distro loong
%bcond_without tests
%bcond_without weak_deps

%global debug_package %{nil}
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
%global __provides_exclude_from ^/opt/agiros/%{agiros_distro}/.*$
%global __requires_exclude_from ^/opt/agiros/%{agiros_distro}/.*$

%define RosPkgName      rclpy-message-converter

Name:           agiros-%{agiros_distro}-%{RosPkgName}
Version:        2.0.1
Release:        1%{?dist}%{?release_suffix}
Summary:        Converts between Python dictionaries and JSON to rclpy messages.

Url:            http://ros.org/wiki/rospy_message_converter
License:        Apache License 2.0
Source0:        %{name}_%{version}.orig.tar.gz

Requires: agiros-%{agiros_distro}-rclpy
Requires: python3-numpy
Requires: agiros-%{agiros_distro}-rosidl-parser
Requires: agiros-%{agiros_distro}-rosidl-runtime-py
Requires: agiros-%{agiros_distro}-ros-workspace

BuildRequires: agiros-%{agiros_distro}-rclpy
BuildRequires: agiros-%{agiros_distro}-builtin-interfaces
BuildRequires: agiros-%{agiros_distro}-rosidl-default-generators
BuildRequires: agiros-%{agiros_distro}-ros-workspace

%if 0%{?with_tests}
BuildRequires: agiros-%{agiros_distro}-ament-copyright
BuildRequires: agiros-%{agiros_distro}-ament-flake8
BuildRequires: agiros-%{agiros_distro}-ament-pep257
BuildRequires: agiros-%{agiros_distro}-geometry-msgs
BuildRequires: python3-pytest
BuildRequires: agiros-%{agiros_distro}-rclpy-message-converter-msgs
BuildRequires: agiros-%{agiros_distro}-std-msgs
BuildRequires: agiros-%{agiros_distro}-std-srvs
BuildRequires: agiros-%{agiros_distro}-tf2-msgs
%endif

Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}

%description
Converts between Python dictionaries and JSON to rclpy messages.

%prep
%autosetup -p1

%build

# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%py3_build

%install
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%py3_install -- --prefix "/opt/agiros/%{agiros_distro}"

%if 0%{?with_tests}
%check
# Look for a directory with a name indicating that it contains tests
TEST_TARGET=$(ls -d * | grep -m1 "\(test\|tests\)" ||:)
if [ -n "$TEST_TARGET" ] && %__python3 -m pytest --version; then
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%__python3 -m pytest $TEST_TARGET || echo "RPM TESTS FAILED"
else echo "RPM TESTS SKIPPED"; fi
%endif

%files
/opt/agiros/%{agiros_distro}

%changelog
* Thu May 04 2023 Martin Günther martin.guenther@dfki.de - 2.0.1-1
- Autogenerated by ros-porting-tools
